import { type IType, PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class ScsAppupdate {
  [PrimaryKeyProp]?: 'Id';
  Id!: IType<number, bigint>;
  Version?: string;
  BuildId!: number;
  DownloadUrl?: string;
  IsMandatory!: unknown;
  Description?: string;
  Platform!: number;
  Revision!: number;
  CreatedBy?: IType<number, bigint>;
  CreatedTime!: Date;
  UpdatedBy?: IType<number, bigint>;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const ScsAppupdateSchema = defineEntity({
  class: ScsAppupdate,
  properties: {
    Id: p.bigint().primary().name('Id').columnType('bigint').unsigned(false).autoincrement(false).comment('主键Id'),
    Version: p.string().name('Version').nullable().comment('版本号'),
    BuildId: p.integer().name('BuildId').comment('打包号'),
    DownloadUrl: p.string().name('DownloadUrl').nullable().comment('下载链接'),
    IsMandatory: p.array().name('IsMandatory').comment('强制更新'),
    Description: p.string().name('Description').nullable().comment('更新描述'),
    Platform: p.integer().name('Platform').comment('平台信息 1-iOS 2-Android'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').columnType('bigint').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').columnType('bigint').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
